[Bug 151400] Re: xpcshell missing

Fabien Tassin fta at sofaraway.org
Wed Nov 14 15:20:05 UTC 2007

xulrunner-1.9 (1.9~b1~rc3+nobinonly-0ubuntu1) hardy; urgency=low

  [ Fabien Tassin ]
  * new upstream snapshot (1.9a9pre cvs20071012t0843)
  * Drop debian/patches/bz392722_fix_nsinstall_on_double_slash.patch
    (MozBug #397296 bumped nss/nspr requirements)
    - update debian/patches/series
  * Fix ftbfs with new nss caused by landing of MozBug #286642.
    See MozBug 399589
    - add debian/patches/bz399589_fix_missing_symbol_with_new_nss.patch
    - update debian/patches/series
  * Ship xpcshell as /usr/bin/xpcshell-1.9 (LP: #151400)
    - update debian/rules
    - add debian/patches/ship_xpcshell.patch
    - update debian/patches/series
  * new upstream snapshot (1.9a9pre cvs20071105t0339)
    - update debian/changelogs
  * Move gnome libs from xulrunner-1.9 to xulrunner-1.9-gnome-support
    - update debian/control
    - update debian/xulrunner-1.9.install
    - add debian/xulrunner-1.9-gnome-support.install
  * new upstream snapshot (1.9b1 rc3 from FIREFOX_3_0b1_RC3)
    - update debian/changelogs
  * Fix broken --with-default-mozilla-five-home value
    - update debian/rules

  [ Alexander Sack ]
  * fix alternative migration bug that appears to happen on upstream version
    upgrades: uninstall xulrunner alternative during "remove" and "upgrade" in
    - update debian/xulrunner-1.9.prerm

xulrunner-1.9 (1.9~a9~cvs20071003t0648-0ubuntu1~mt2) gutsy; urgency=low

  RELEASE: 1.9~a9~cvs20071003t0648-0ubuntu1~mt2 to gutsy/PPA

  * Add /usr/bin/xulrunner-1.9 and make the alternative point to it so
    xul apps that need xul 1.9 can use it. subst is no longer needed for
    postinst/prerm scripts.
    - rename and update:
      - debian/xulrunner-1.9.postinst.in => debian/xulrunner-1.9.postinst
      - debian/xulrunner-1.9.prerm.in => debian/xulrunner-1.9.prerm
    - update debian/rules

xulrunner-1.9 (1.9~a9~cvs20071003t0648-0ubuntu1~mt1) gutsy; urgency=low

  RELEASE: 1.9~a9~cvs20071003t0648-0ubuntu1~mt1 to gutsy/PPA

  [ Fabien Tassin ]
  * Add --disable-mochitest to debian/rules
  * Protect tests targets by ifdefs so --disable-tests does the proper thing.
    This is usefull for the stripped tarball.
    - add debian/patches/protect_tests_by_ifdefs.patch
    - update debian/patches/series
  * Remove strict version check for extensions
    - update debian/control

  [ Alexander Sack ]
  * unify test for dev-package in var DEV_PACKAGE_INDICATION and determine
    whether to point libnssckbi.so to system nss using this test.
  * drop versions from build-depends and depends on libnspr4-dev, libnss3-dev.
    We use this to be able to use the same sources for both official uploads
    (which uses in-xul nspr/nss) and dev/ppa uploads (which use system

 -- Fabien Tassin <fta at sofaraway.org>   Wed, 14 Nov 2007 15:09:56 +0100

** Changed in: xulrunner-1.9 (Ubuntu)
       Status: Confirmed => Fix Released

xpcshell missing
You received this bug notification because you are a member of Mozilla
Bugs, which is a bug contact for xulrunner-1.9 in ubuntu.

More information about the Ubuntu-mozillateam-bugs mailing list